com.brightcove.ssai.ui

## Class AdOverlayConfig

- java.lang.Object
- - com.brightcove.ssai.ui.AdOverlayConfig

-     public final class AdOverlayConfig
      extends java.lang.Object

  An Ad Overlay Configuration class used to enable ot disable UI components in the Ad Overlay layout.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AdOverlayConfig.Builder` The AdOverlayConfig.Builder.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `boolean` | `isNumberOfRemainingAdsEnabled()` Returns whether the Ad Overlay component showing the number of remaining Ads+ is enabled or disabled
    `boolean` | `isRemainingAdBreakDurationEnabled()` Returns whether the Ad Overlay component showing the remaining ad break duration is enabled or disabled
    `boolean` | `isRemainingAdDurationEnabled()` Returns whether the Ad Overlay component showing the remaining ad duration.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isRemainingAdBreakDurationEnabled

          public boolean isRemainingAdBreakDurationEnabled()

      Returns whether the Ad Overlay component showing the remaining ad break duration is enabled or disabled
      Returns:
        true when enabled

    - #### isRemainingAdDurationEnabled

          public boolean isRemainingAdDurationEnabled()

      Returns whether the Ad Overlay component showing the remaining ad duration. is enabled or disabled
      Returns:
        true when enabled

    - #### isNumberOfRemainingAdsEnabled

          public boolean isNumberOfRemainingAdsEnabled()

      Returns whether the Ad Overlay component showing the number of remaining Ads+ is enabled or disabled
      Returns:
        true when enabled

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`